## org.eclipse.m2m.qvt.oml.util
Interface IContext

    public interface IContext

Since:
  3.0

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` `getConfigProperties()`
`java.lang.Object` `getConfigProperty(java.lang.String name)`
`Log` `getLog()` Retrieve the logger associated with this context.
`EvaluationMonitor` `getMonitor()` Retrieve the monitor associated with this context.
`ISessionData` `getSessionData()`

Method Detail

### getLog

    Log getLog()

  Retrieve the logger associated with this context.

  It is used to capture the output of QVT `log expression` or various execution diagnostic messages.

  Returns:
    the log object, never `null`

### getMonitor

    EvaluationMonitor getMonitor()

  Retrieve the monitor associated with this context.

  It can be used to interrupt execution from another thread then the execution thread.

  Returns:
    the monitor object, never `null`

### getConfigProperties

    java.util.Map<java.lang.String,java.lang.Object> getConfigProperties()

### getConfigProperty

    java.lang.Object getConfigProperty(java.lang.String name)

### getSessionData

    ISessionData getSessionData()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.